function sweep(R,L,C);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% creo un segnale con frequenza che varia da Fmin a Fmax
Fmin=100; Fmax=2000;
frcamp=50000; tlong=15;
t=0:1/frcamp:tlong;
us=chirp(t,Fmin,tlong,Fmax);
sound(us,frcamp);
figure;
subplot(4,1,1);plot(t,(Fmin+(Fmax-Fmin)/tlong*t)); ylabel('frequenza'); xlabel('tempo');
subplot(4,1,2);plot(t,us); ylabel('ingresso'); xlabel('tempo'); %  axis([0 0.6 -1 1]);
pause;

% Metto il segnale di ingresso nel dispositivo di riproduzione audio (il circuito
% elettrico)
A=[-3*R/(2*L)  1/(2*L)
    -1/(2*C)   -1/(2*R*C)];
b=[1/(2*L)         1/(2*R*C)]';
c1=[R  0];
c2=[-R/2  -1/2];
d1=0;
d2=1/2;
woofer=ss(A,b,c1,d1);
tweeter=ss(A,b,c2,d2);

% Uscita dal Woofer
Ywoofer=lsim(woofer,us,t);
sound(Ywoofer,frcamp);
subplot(4,1,3);plot(t,Ywoofer); ylabel('woofer'); xlabel('tempo');
pause;

% Uscita dal Tweeter
Ytweeter=lsim(tweeter,us,t);
sound(Ytweeter,frcamp);
subplot(4,1,4);plot(t,Ytweeter); ylabel('tweeter'); xlabel('tempo');
